# Class: ReactServerUpdateQueue

## ReactServerUpdateQueue

#### new ReactServerUpdateQueue(transaction)

This is the update queue used for server rendering. It delegates to ReactUpdateQueue while server rendering is in progress and switches to ReactNoopUpdateQueue after the transaction has completed.

##### Parameters:

Name | Type | Description
--- | --- | ---
`transaction` | Transaction |

Source:
  - src/js/bundle.js, line 44638